{extends file="parent:frontend/index/index.tpl"}

{* Including the Trust Badge at end of the body-tag *}
{block name='frontend_index_body_inline'}
    {$smarty.block.parent}
    {if isset($trustedShopsPluginVersion)}
        <div id="'TrustedShopsPluginVersion" hidden>
            Trusted Shops Reviews Toolkit: {$trustedShopsPluginVersion}
        </div>
    {/if}
    {if $sTrustedShops.id != ''}
        {if $sTrustedShops.expertMode && $sTrustedShops.trustedShopsTrustBadgeCode != ''}
            {$sTrustedShops.trustedShopsTrustBadgeCode}
        {else}
            <script type="text/javascript">
                (function () {
                    var _tsid = '{$sTrustedShops.id|escape:'javascript'}';
                    _tsConfig = {
                        {block name="frontend_index_index_trus1TrustedShopsBadge_trustbadge_settings"}
                        'yOffset': '{$sTrustedShops.yOffset|escape:'javascript'}', /* offset from page bottom */
                        'variant': '{$sTrustedShops.badgeVariant|escape:'javascript'}', /* default, reviews, custom, custom_reviews */
                        'customElementId': '', /* required for variants custom and custom_reviews */
                        'trustcardDirection': '', /* for custom variants: topRight, topLeft, bottomRight, bottomLeft */
                        'disableResponsive': 'false', /* deactivate responsive behaviour */
                        {if $sTrustedShops.badgeVariant|escape:'javascript' == 'hide'}
                        'disableTrustbadge': 'true' /* deactivate trustbadge */
                        {else}
                        'disableTrustbadge': 'false' /* deactivate trustbadge */
                        {/if}
                        {/block}
                    };
                    var _ts = document.createElement('script');
                    _ts.type = 'text/javascript';
                    _ts.charset = 'utf-8';
                    _ts.async = true;
                    _ts.src = '//widgets.trustedshops.com/js/' + _tsid + '.js';
                    var __ts = document.getElementsByTagName('script')[ 0 ];
                    __ts.parentNode.insertBefore(_ts, __ts);
                })();
            </script>
        {/if}

        {*{if $sTrustedShops.expertMode && $sTrustedShops.richSnippetsExpertCode != '' && $sTrustedShops.richSnippetsActiveExpert && ($Controller|in_array:$sTrustedShops.richSnippetsLocationsExpert)}
            {$sTrustedShops.richSnippetsExpertCode|replace:'%shopname%':$sTrustedShops.richSnippetsConfig[0].shopName|replace:'%result%':$sTrustedShops.richSnippetsConfig[0].result|replace:'%max%':$sTrustedShops.richSnippetsConfig[0].max|replace:'%count%':$sTrustedShops.richSnippetsConfig[0].count }
        {elseif !$sTrustedShops.expertMode && ($Controller|in_array:$sTrustedShops.richSnippetsLocations) && $sTrustedShops.richSnippetsActive}
            <script type="application/ld+json">
                {
                "@context": "http://schema.org",
                "@type": "Organization",
                "name": "{$sTrustedShops.richSnippetsConfig[0].shopName}",
                "aggregateRating" : {
                "@type": "AggregateRating",
                "ratingValue" : "{$sTrustedShops.richSnippetsConfig[0].result}",
                "bestRating" : "{$sTrustedShops.richSnippetsConfig[0].max}",
                "ratingCount" : "{$sTrustedShops.richSnippetsConfig[0].count}"
                }
                }
            </script>
        {/if}*}
    {/if}
{/block}

{block name="frontend_index_header_javascript_jquery_lib"}
    {$smarty.block.parent}
    <script type="text/javascript">

        var checker = 0;

        function jqueryLoaded() {
            clearInterval(checker);
            jQuery(document).ready(function ($) {
                var ratingStarsEl = '.ts-rating-light.ts-rating.productreviewsSummary';
                var productReviewsEl = '.ts-rating-light.ts-rating.productreviews';
                var customerReviewsEl = '.ts-rating-light.ts-rating.skyscraper_vertical, .ts-rating-light.ts-rating.skyscraper_horizontal, .ts-rating-light.ts-rating.vertical, .ts-rating-light.ts-rating.testimonial';
                var reviewStarsSelector = "{$sTrustedShops.reviewStarsSelector|escape:'javascript'}";
                var reviewStickerSelector = "{$sTrustedShops.reviewStickerSelector|escape:'javascript'}";
                var customerReviewsSelector = "{$sTrustedShops.customerReviewsSelector|escape:'javascript'}";

                if (reviewStarsSelector) {
                    waitForEl(ratingStarsEl, function () {
                        $(ratingStarsEl).appendTo(reviewStarsSelector);
                    });
                }
                if (reviewStickerSelector) {
                    waitForEl(productReviewsEl, function () {
                        $(productReviewsEl).appendTo(reviewStickerSelector);
                    });
                }
                if (customerReviewsSelector) {
                    waitForEl(customerReviewsEl, function () {
                        $(customerReviewsEl).appendTo(customerReviewsSelector);
                    });
                }
            });
        }

        function checkJquery() {
            if (window.jQuery) {
                jqueryLoaded();
            }
            if(checker == 0) {
                checker = window.setInterval(checkJquery, 100);
            }
        }

        checkJquery();

        var waitForEl = function (selector, callback) {
            if (jQuery(selector).length) {
                callback();
            } else {
                setTimeout(function () {
                    waitForEl(selector, callback);
                }, 1);
            }
        };

    </script>
{/block}
