//{block name="backend/trusted_shops_badge/model/trusted_shops_badge"}
Ext.define('Shopware.apps.TrustedShopsBadge.model.TrustedShopsBadge', {

    /**
     * Extends the standard Ext Model
     * @string
     */
    extend: 'Ext.data.Model',
    idProperty: 'shopId',
    fields: [
        //{block name="backend/trusted_shops_badge/model/trusted_shops_badge/fields"}{/block}
        { name: 'shopId'                                , type: 'int' },
        { name: 'locale'                                , type: 'string' },
        { name: 'trustedShopsId'                        , type: 'string' },
        { name: 'expertMode'                            , type: 'boolean' },
        { name: 'badgeVariant'                          , type: 'string' },
        { name: 'collectReviewsAndShowGuarantee'        , type: 'boolean' },
        { name: 'trustedShopsShowReviewStickerActive'   , type: 'boolean' },
        { name: 'trustedShopsShowReviewStickerCode'     , type: 'string' },
        { name: 'trustedShopsShowRatingsStarsActive'    , type: 'boolean' },
        { name: 'trustedShopsShowRatingsStarsCode'      , type: 'string' },
        { name: 'trustedShopsTrustBadgeCode'            , type: 'string' },
		{ name: 'yOffset'                               , type: 'int' },
        { name: 'prodStickerBorderColor'                , type: 'string' },
		{ name: 'prodStickerStarColor'                  , type: 'string' },
        { name: 'starColor'                             , type: 'string' },
        { name: 'starSize'                              , type: 'int' },
        { name: 'fontSize'                              , type: 'int' },
        { name: 'hideEmptyStarRatings'                  , type: 'string' },
        { name: 'trustedShopsInStockDeliveryTimeExpert'       , type: 'int'},
        { name: 'trustedShopsNotInStockDeliveryTimeExpert'    , type: 'int'},
        { name: 'trustedShopsInStockDeliveryTime'       , type: 'int'},
        { name: 'trustedShopsNotInStockDeliveryTime'    , type: 'int'},
        { name: 'prodReviewStickerTabName'              , type: 'string'},
        { name: 'prodReviewStickerTabNameExpert'              , type: 'string'},
        { name: 'collectRatings'                        , type: 'boolean'},
        { name: 'collectRatingsExpert'                  , type: 'boolean'},
        { name: 'trustedShopsShowReviewStickerActiveExpert'                  , type: 'boolean'},
        { name: 'trustedShopsShowRatingsStarsActiveExpert'                  , type: 'boolean'},
        { name: 'reviewStickerBackgroundColor'                  , type: 'string'},
        { name: 'reviewStickerStarSize'                              , type: 'int' },
        { name: 'deliveryTimeOfProduct', type: 'string' },
        { name: 'naDeliveryTimeOfProduct', type: 'string' },
        { name: 'deliveryTimeOfProductExpert', type: 'string' },
        { name: 'naDeliveryTimeOfProductExpert', type: 'string' },
        { name: 'customerRatingsActive', type: 'boolean' },
        { name: 'customerRatingsActiveExpert', type: 'boolean' },
        { name: 'customerRatingsExpertCode', type: 'string' },
        { name: 'customerRatingsReviews', type: 'int' },
        { name: 'customerRatingsBetterThan', type: 'string' },
        { name: 'customerRatingsBackgroundColor', type: 'string' },
        { name: 'customerRatingsFontFamily', type: 'string' },
        { name: 'richSnippetsActive', type: 'boolean' },
        { name: 'richSnippetsLocations', type: 'string' },
        { name: 'reviewStickerSelector', type: 'string' },
        { name: 'reviewStarsSelector', type: 'string' },
        { name: 'customerReviewsSelector', type: 'string' },
        { name: 'richSnippetsActiveExpert', type: 'boolean' },
        { name: 'richSnippetsLocationsExpert', type: 'string' },
        { name: 'richSnippetsExpertCode', type: 'string' },
    ],

    /**
     *
     * Configuring the communication
     *
     * @object
     */
    proxy: {
        type: 'ajax',

        /**
         * Configuring the url mapping for read/write operations
         * @object
         */
        api: {
            read:   '{url controller="TrustedShopsBadge" action="getSettings"}',
            create: '{url controller="TrustedShopsBadge" action="setSettings"}',
            update: '{url controller="TrustedShopsBadge" action="setSettings"}',
            delete: '{url controller="TrustedShopsBadge" action="resetSettings"}'
        },

        /**
         * Configure the data reader
         * @object
         */
        reader: {
            type: 'json',
            root: 'data'
        }
    }
});
// {/block}